@nav-width: 80px;
@nav-mobile-height: 45px;

@hire-us-font-size: 2.4vw;

@caseContainerHeight: .calc-vw(0.52)[@return];

@trufflGold : #a2783f;
@transitionBg : #1d1d1d;
@errorColor: red;


// .placeholder(){
// &::-webkit-input-placeholder { /* Chrome/Opera/Safari */
//     @content;
// }
// &::-moz-placeholder { /* Firefox 19+ */
//     @content;
// }
// &:-ms-input-placeholder { /* IE 10+ */
//     @content;
// }
// &:-moz-placeholder { /* Firefox 18- */
//     @content;
// }
// }

.calc-vw(@value) {
    @return: calc((100vw - @nav-width) * @value);
}

.halfscreen() {
    @return: calc(50vw - @nav-width / 2);
}

.quarterscreen() {
    @return: calc(25vw - @nav-width / 4);
}


.scaledCheckMark(@scale) {

    width: calc(0.25em * @scale);
    height: calc(0.5em * @scale);
    border-width: 0 calc(0.09em * @scale) calc(0.09em * @scale) 0;
    // left: -0.75em;
    left: calc(0.25em * @scale);
    top: calc(1em * @scale);
}

.fontNormal() {
    font-family: 'Roobert';
}

.fontBolder() {
    font-family: 'Roobert-Medium';
}

.fontBold() {
    font-family: 'Roobert-SemiBold';
}

.caseHeaderImageSizes(){

    &.custom-size{
        // height: auto;
        object-fit: contain;
    }
    &.size-100{ width: 100vw; }
    &.size-95{ width: 75vw;}
    &.size-90{ width: 75vw;}
    &.size-85{ width: 75vw;}
    &.size-80{ width: 75vw;}
    &.size-75{ width: 75vw;}
    &.size-70{ width: 70vw;}
    &.size-65{ width: 65vw;}
    &.size-60{ width: 60vw;}
    &.size-55{ width: 55vw;}
    &.size-50{ width: 50vw;}
    &.size-45{ width: 45vw;}
    &.size-40{ width: 40vw;}
    &.size-35{ width: 35vw;}
    &.size-30{ width: 30vw;}
    &.size-25{ width: 25vw;}
    &.size-20{ width: 20vw;}
    &.size-15{ width: 15vw;}
    &.size-10{ width: 10vw;}
    &.size-5{ width: 10vw;}
}

.apos100height() {

    .apos-area,
    .apos-area-widgets,
    .apos-area-widget-wrapper,
    .apos-area-widget {
        height: 100%;
    }
}


.squaredLogosStyling() {

    .apos-area-widgets {
        display: flex;
        flex-flow: row wrap;

        .apos-area-widget-wrapper {
            display: inline-block;
            width: 100%;
            height: 100%;
        }
    }

    .apos-area {
        width: 100%;
    }

    .apos-area-widgets .apos-area-widget-wrapper {
        width: 100%;
    }

    

   .quarter{
        position: relative;

        .video-container {
            width: .calc-vw(0.25)[@return];
            height: .calc-vw(0.25)[@return];

            video {
                // min-width: .calc-vw(0.25);
                // min-height: .calc-vw(0.25);
            }
        }
    }

    .half,
    .apos-area-widget-wrapper.half
     {
        width: .calc-vw(0.5)[@return];
        height: .calc-vw(0.5)[@return];
    }

    .quarter,
    .apos-area-widget-wrapper .quarter
    {
        width: .calc-vw(0.25)[@return];
        height: .calc-vw(0.25)[@return];
    }

    .half,
    .quarter {

        &.apos-area-widget-wrapper {
            overflow: inherit;
        }

        .fit {
            width: 100%;
            height: 100%;
            display: block;
            margin: 0;
            padding: 0;
            object-fit: contain;

            &.cover {
                object-fit: cover;
            }

            // &.too-big {
                // width: 80%;
                // margin-left: 10%;
            // }


        }


    }


    // for animations
    .half,
    .quarter,
    .squared-image-wrapper {

        @animationSpeed : 1.25s;

        overflow: hidden;
        float: left;
        position: relative;

        .fit {
            &.clone {
                position: absolute;
                top: 0;
                left: 0;
                // transition: transform @animationSpeed cubic-bezier(0, 0.55, 0.45, 1);
                transition: transform @animationSpeed cubic-bezier(0.22, 1, 0.36, 1);
                transform: translateX(-100%);
                z-index: 3;

                &.in {
                    transform: translateX(0%);
                }

                &.ontop {
                    z-index: 5;
                }
            }
        }

        &.anim-top {
            .clone {
                transform: translateY(-100%);

                &.in {
                    transform: translateY(0%);
                }
            }
        }

        img {
            transition: transform @animationSpeed;
            cursor: pointer;
            z-index: 2;
        }

        &:hover,
        &.hover {
            .project-hover {
                transform: translateX(0%);

                .hover-button {
                    transform: translateX(0%);
                    transition: transform 0.5s 0.5s;
                }
            }
        }
    }

    .fit-four {
        display: flex;
        width: 50%;
        flex-flow: row wrap;

        .half {
            width: .calc-vw(0.25)[@return];
            height: .calc-vw(0.25)[@return];
        }
    }

    .hidden-logos {
        display: none !important;
    }


}

.customWidgetPaddings(){
    // padding
    .padding-xs{
        &--top{ padding-top: 2.5vw; }
        &--bottom{ padding-bottom: 2.5vw; }
    }
    .padding-sm{
        &--top{ padding-top: 5vw; }
        &--bottom{ padding-bottom: 5vw; }
    }
    .padding-md{
        &--top{ padding-top: 10vw; }
        &--bottom{ padding-bottom: 10vw; }
    }
    .padding-lg{
        &--top{ padding-top: 15vw; }
        &--bottom{ padding-bottom: 15vw; }
    }
    .padding-xl{
        &--top{ padding-top: 20vw; }
        &--bottom{ padding-bottom: 20vw; }
    }
}

.customWidgetPaddingsMobile(){
    // margins
    .padding-xs{
       &--top{ padding-top: 4vw; }
       &--bottom{ padding-bottom: 4vw; }
   }
   .padding-sm{
       &--top{ padding-top: 8vw; }
       &--bottom{ padding-bottom: 8vw; }
   }
   .padding-md{
       &--top{ padding-top: 15vw; }
       &--bottom{ padding-bottom: 15vw; }
   }
   .padding-lg{
       &--top{ padding-top: 20vw; }
       &--bottom{ padding-bottom: 20vw; }
   }
   .padding-xl{
       &--top{ margin-top: 30vw; }
       &--bottom{ margin-bottom: 30vw; }
   }
}